Get routed IPv6 address information for your VM

Retrieve detailed network information about routed IPv6 addresses associated with a specific virtual machine (VM). This is needed to check the status, availability, and configuration parameters of a VM's IPv6 network.

VPS Services VM

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.allocation string · nullable required · Example: null

Nullable: may be null when not applicable.

data.available boolean required · Example: false
data.cooldownDays integer required · Example: 30
data.maxPerVm integer required · Example: 0
data.prefixLength integer required · Example: 48
data.rackId string required · Example: dc1r28
data.reason string · Example: Routed IPv6 is not available for this server location
data.suggestedNextHop string · nullable · Example: null

Nullable: may be null when not applicable.

data.superblock string · Example: 2001:db8::1/36
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

403
code string required · Example: FORBIDDEN

Machine-readable error code.

error string required · Example: Forbidden

HTTP status title (e.g. 'Bad Request').

message string required · Example: Access denied

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/routed-ipv6
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/routed-ipv6" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "available": false,
    "reason": "Routed IPv6 is not available for this server location",
    "rackId": "dc1r28",
    "prefixLength": 48,
    "cooldownDays": 30,
    "maxPerVm": 0,
    "allocation": null
  }
}